Subject: suggestion: git status = restored

From: "Neal Kreitzinger" <[email-masked]>
Date: Fri, 25 Mar 2011 12:59:34 -0500

We deleted (git-rm) a file from the repo by mistake.  Several commits later 
we restored it (git-checkout, git-commit).  Git status shows "added" for 
this file.  IMHO, it seems like git status should be "restored" or 
"unremoved", etc, for this file.  Git detects renames and copies so it seems 
like it could detect restores.

v/r,
Neal